import type { _NSPrintInfo } from "../AppKit/NSPrintInfo.js";
import type { _NSPrintOperation } from "../AppKit/NSPrintOperation.js";
import type { _NSView } from "../AppKit/NSView.js";
import type { _WebFrame } from "./WebFrame.js";
export declare class _WebFrameView extends _NSView {
    static alloc(): _WebFrameView;
    static new(): _WebFrameView;
    init(): _WebFrameView;
    /**
     * @method printOperationWithPrintInfo @abstract Creates a print operation set up to print this frame @result A newly created print operation object
     */
    printOperationWithPrintInfo$(printInfo: _NSPrintInfo): _NSPrintOperation;
    /**
     * @method printDocumentView @abstract Called by the host application when the WebFrameView returns YES from -documentViewShouldHandlePrint.
     */
    printDocumentView(): void;
    /** @property webFrame @abstract The WebFrame associated with this WebFrameView */
    webFrame(): _WebFrame;
    /**
     * @property documentView @abstract The WebFrameView's document subview @discussion The subview that renders the WebFrameView's contents
     */
    documentView(): _NSView;
    /**
     * @property allowsScrolling @abstract Whether the WebFrameView allows its document to be scrolled
     */
    allowsScrolling(): boolean;
    setAllowsScrolling$(value: boolean): void;
    /**
     * @property canPrintHeadersAndFooters @abstract Whether this frame can print headers and footers
     */
    canPrintHeadersAndFooters(): boolean;
    /**
     * @property documentViewShouldHandlePrint @abstract Called by the host application before it initializes and runs a print operation. @discussion If NO is returned, the host application will abort its print operation and call -printDocumentView on the WebFrameView. The document view is then expected to run its own print operation. If YES is returned, the host application's print operation will continue as normal.
     */
    documentViewShouldHandlePrint(): boolean;
}
